<?php
/**
 * Sample implementation of the Custom Header feature
 *
 * @link https://developer.wordpress.org/themes/functionality/custom-headers/
 *
 * @package property_dealer
 */

function property_dealer_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'property_dealer_custom_header_args', array(
		'default-text-color'     => 'fff',
		'header-text' 			 =>	false,
		'width'                  => 1360,
		'height'                 => 110,
		'flex-width'         	=> true,
        'flex-height'        	=> true,
		'wp-head-callback'       => 'property_dealer_header_style',
	) ) );
}

add_action( 'after_setup_theme', 'property_dealer_custom_header_setup' );

if ( ! function_exists( 'property_dealer_header_style' ) ) :

add_action( 'wp_enqueue_scripts', 'property_dealer_header_style' );
function property_dealer_header_style() {
	if ( get_header_image() ) :
	$property_dealer_custom_css = "
            header.site-header .bottom-header-part {
			background-image:url('".esc_url(get_header_image())."') !important;
			background-position: center top;
			background-size: cover !important;
		}";
	   	wp_add_inline_style( 'property-dealer-style', $property_dealer_custom_css );
	endif;
}
endif;